System.Data 2.0.0.0 System.ComponentModel.Component System.Data.IDbConnection To be added.

Represents a connection to a database.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Data.Common.DbTransaction ``

  If you are creating your own connection type, override this method to implement the code necessary to begin a transaction.

  Starts a database transaction.

  An object representing the new transaction.

  Specifies the isolation level for the transaction. 2.0.0.0
- Method
  System.Data.Common.DbTransaction

  If you do not specify an isolation level, the default isolation level for the specific type of connection is used.

  Starts a database transaction.

  An object representing the new transaction.

  2.0.0.0
- Method
  System.Data.Common.DbTransaction `` To be added.

  Starts a database transaction with the specified isolation level.

  An object representing the new transaction.

  Specifies the isolation level for the transaction. 2.0.0.0
- Method
  System.Void ``

  The value supplied in the parameter must be a valid database name for the current instance.

  Changes the current database for an open connection.

  Specifies the name of the database for the connection to use. 2.0.0.0
- Method
  System.Void

  The method rolls back any pending transactions. It then releases the connection to the connection pool, or closes the connection if connection pooling is disabled.

  An application can call more than one time. No exception is generated.

  If the goes out of scope, it is not closed. Therefore, you must explicitly close the connection by calling Close or Dispose, which are functionally equivalent. If the connection pooling value Pooling is set to true or yes, this also releases the physical connection.

  Do not call Close or Dispose on a Connection, a DataReader, or any other managed object in the Finalize method of your class. In a finalizer, you should only release unmanaged resources that your class owns directly. If your class does not own any unmanaged resources, do not include a Finalize method in your class definition. For more information, see Programming for Garbage Collection.

  Closes the connection to the database. This is the preferred method of closing any open connection.

  2.0.0.0
- Property
  System.ComponentModel.DefaultValue("")
  System.ComponentModel.RefreshProperties(System.ComponentModel.RefreshProperties.All)
  System.ComponentModel.RecommendedAsConfigurable(true)
  System.String To be added.

  The exact contents of the connection string depend on the specific data source for this connection. To determine which settings are valid, see the documentation for the specific type of connection that you are using.

  Gets or sets the string used to open the connection.

  2.0.0.0
- Property
  System.Int32 To be added. To be added.

  Gets the time to wait while establishing a connection before terminating the attempt and generating an error.

  2.0.0.0
- Method
  System.Data.Common.DbCommand To be added.

  Creates and returns a object associated with the current connection.

  A object.

  2.0.0.0
- Method
  System.Data.Common.DbCommand

  If you are implementing your own connection, override this method to implement the code necessary to create and return a object.

  Creates and returns a object associated with the current connection.

  A object.

  2.0.0.0
- Property
  System.String To be added.

  A connection typically updates this property dynamically when the current database changes.

  Gets the name of the current database after a connection is opened, or the database name specified in the connection string before the connection is opened.

  2.0.0.0
- Property
  System.String To be added.

  If the connection to the database is closed, the returns whatever is contained in the for the DataSource keyword. If the connection is open and the data source keyword's value starts with "|datadirectory|", the property returns whatever is contained in the for the DataSource keyword only. If the connection to the database is open, the property returns what the native provider returns for the DBPROP_INIT_DATASOURCE, and if that is empty, the native provider's DBPROP_DATASOURCENAME is returned.

  Gets the name of the database server to which to connect.

  2.0.0.0
- Method
  System.Void ``

  New in ADO.NET 2.0 is support for using the EnlistTransaction method to enlist in a distributed transaction. Because it enlists a connection in a instance, EnlistTransaction takes advantage of functionality available in the namespace for managing distributed transactions. Once a connection is explicitly enlisted in a transaction, it cannot be unenlisted or enlisted in another transaction until the first transaction finishes.

  Enlists in the specified transaction.

  A reference to an existing in which to enlist. 2.0.0.0
- Method
  System.Data.DataTable

  If the connection is associated with a transaction, executing GetSchema calls may cause some providers to throw an exception.

  Returns schema information for the data source of this .

  A that contains schema information.

  2.0.0.0
- Method
  System.Data.DataTable ``

  If the connection is associated with a transaction, executing GetSchema calls may cause some providers to throw an exception.

  Returns schema information for the data source of this using the specified string for the schema name.

  A that contains schema information.

  Specifies the name of the schema to return. 2.0.0.0
- Method
  System.Data.DataTable `` ``

  The parameter can supply n depth of values, which are specified by the restrictions collection for a specific collection. In order to set values on a given restriction, and not set the values of other restrictions, you need to set the preceding restrictions to null and then put the appropriate value in for the restriction that you would like to specify a value for.

  An example of this is the "Tables" collection. If the "Tables" collection has three restrictions (database, owner, and table name) and you want to get back only the tables associated with the owner "Carl", you must pass in the following values at least: null, "Carl". If a restriction value is not passed in, the default values are used for that restriction. This is the same mapping as passing in null, which is different from passing in an empty string for the parameter value. In that case, the empty string ("") is considered to be the value for the specified parameter.

  If the connection is associated with a transaction, executing GetSchema calls may cause some providers to throw an exception.

  Returns schema information for the data source of this using the specified string for the schema name and the specified string array for the restriction values.

  A that contains schema information.

  Specifies the name of the schema to return. Specifies a set of restriction values for the requested schema. 2.0.0.0
- Method
  System.Void `` To be added.

  Raising an event invokes the event handler through a delegate. For an overview, see [<topic://cpconProvidingEventFunctionality>].

  Raises the event.

  2.0.0.0
- Method
  System.Void

  This method must be overridden with user-defined behavior. will throw an exception if called again without first being closed.

  Opens a database connection with the settings specified by the .

  2.0.0.0
- Property
  System.ComponentModel.Browsable(false)
  System.String To be added. To be added.

  Gets a string that represents the version of the server to which the object is connected.

  2.0.0.0
- Property
  System.ComponentModel.Browsable(false)
  System.Data.ConnectionState To be added. To be added.

  Gets a string that describes the state of the connection.

  2.0.0.0
- Event
  System.Data.StateChangeEventHandler

  The event occurs when the state of the event changes from closed to opened, or opened to closed.

  Occurs when the state of the event changes.

  2.0.0.0
- Method
  2.0.0.0
  System.Data.IDbTransaction

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For more information, see .

  Begins a database transaction.

  An object that represents the new transaction.

- Method
  2.0.0.0
  System.Data.IDbTransaction `` To be added.

  For more information, see .

  Begins a database transaction with the specified value.

  An object that represents the new transaction.

- Method
  2.0.0.0
  System.Data.IDbCommand

  For more information, see Commands (ADO.NET) and .

  Creates and returns a object that is associated with the current connection.

  A object that is associated with the connection.